com.hazelcast.core

## Class MemberLeftException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.concurrent.ExecutionException
      - - com.hazelcast.core.MemberLeftException

- All Implemented Interfaces:
    IndeterminateOperationState, RetryableException, Serializable

      public class MemberLeftException
      extends ExecutionException
      implements RetryableException, IndeterminateOperationState

  A `ExecutionException` thrown when a member left during an invocation or execution.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberLeftException()`
    `MemberLeftException(Member member)`
    `MemberLeftException(String message)`
    `MemberLeftException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Member` | `getMember()` Returns the member that left the cluster

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberLeftException

          public MemberLeftException()

    - #### MemberLeftException

          public MemberLeftException(String message)

    - #### MemberLeftException

          public MemberLeftException(Member member)

    - #### MemberLeftException

          public MemberLeftException(Throwable cause)

  - ### Method Detail

    - #### getMember

          public Member getMember()

      Returns the member that left the cluster
      Returns:
        the member that left the cluster

Copyright © 2020. All rights reserved.